<%= form_for(@quantity) do |f| %>
  <% if @quantity.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@quantity.errors.count, "error") %> prohibited this quantity from being saved:</h2>

      <ul>
      <% @quantity.errors.full_messages.each do |msg| %>
        <li><%= msg %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :name %><br />
    <%= f.text_field :name %>
  </div>
  <div class="field">
    <%= f.label :singular %><br />
    <%= f.text_field :singular %>
  </div>
  <div class="field">
    <%= f.label :plural %><br />
    <%= f.text_field :plural %>
  </div>
  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>
